void setup() {
    size( 400, 400 );
}

void draw() {
    background( 128 );
    stroke( 0, 0, 255 );
    strokeWeight( 4 );
    fill( 255, 128, 0 );

    float posX        = 200;	// x-Position des Sterne
    float posY        = 200;	// y-Position des Sterns
    float minRad      = 80;	// innerer Radius des Sterns
    float maxRad      = 120;	// äußerer Radius des Sterns
    int   numSpikes   = 6;	// Anzahl der Zacken
    int   numVertex   = numSpikes * 2;	// wir brauchen doppelt so viele Ecken wie Zacken

    beginShape(  );	// Zeichnen beginnen
    for( int i = 0; i <= numVertex; i++ ) {	        // Schleife für die einzelnen Eckpunkte
        float angle    = 2 * PI * i / numVertex ;	// Winkel berechnen, von 0 bis 2*PI
        float rad      = minRad;			// rad ist entweder minRadius
        if ( i % 2 == 0 ) {				// oder bei jedem 2. Durchlauf
            rad    = maxRad;				// der maxRadius
        }
        float x        = posX + sin( angle ) * rad;	// x-Koordinate ist x-Position + sin * radius
        float y        = posY + cos( angle ) * rad; 	// y-Koordinate ist y-Position + cos * radius
        vertex( x, y );					// Eckpunkt zeichnen
    }   
    endShape();
}
